var gulp = require('gulp');
uglify = require('gulp-uglify');
less = require('gulp-less');

gulp.task('js', function () {
    return gulp.src('js/*.js')
        .pipe(uglify())
        .pipe(gulp.dest('dist'));
});

gulp.task('less', function () {
    return gulp.src('src/less/index.less')
        .pipe(less())
        .pipe(gulp.dest('src/css'));
});

gulp.task("default", gulp.series(["js", "css"]));
